using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 应急装备需求调查表
    /// </summary>
    [Description("应急装备需求调查表")]
    [DataRuleField("DEPARTMENT_ID")]
    public class T_CM_EQUIPMENT_DEMAND_SURVEY : MesEntityBase
    {
        /// <summary>
        /// 发起时间
        /// </summary>
        [Description("发起时间")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public DateTime START_TIME { get; set; }

        /// <summary>
        /// 截止时间
        /// </summary>
        [Description("截止时间")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public DateTime END_TIME { get; set; }

        /// <summary>
        /// 发起部门ID
        /// </summary>
        [Description("发起部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 导航属性：发起部门
        /// </summary>
        [Description("导航属性：发起部门")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }

        /// <summary>
        /// 发起人
        /// </summary>
        [Description("发起人")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        /// <summary>
        /// 导航属性：发起人
        /// </summary>
        [Description("导航属性：发起人")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public virtual T_FM_USER Nav_User { get; set; }


        /// <summary>
        /// 年度
        /// </summary>
        [Description("年度")]
        [FormFieldTable]
        [FormFieldQuery]
        public int YEAR { get; set; }

        /// <summary>
        /// 状态 CMEquipmentSurveyEnum
        /// </summary>
        [Description("状态")]
        [FormFieldTable]
        [FormFieldQuery]
        public PFStandardStatus STATUS { get; set; }


        /// <summary>
        /// 导航属性：应急装备需求调查明细
        /// </summary>
        [Description("导航属性：应急装备需求调查明细")]
        [FormFieldEdit]
        public virtual ICollection<T_CM_EQUIPMENT_DEMAND_SURVEY_DETAIL> Nav_ListDetail { get; set; }

        /// <summary>
        /// 导航属性：附件
        /// </summary>
        [Description("导航属性：附件")]
        public virtual ICollection<T_CM_EQUIPMENT_DEMAND_SURVEY_FILE> Nav_Files { get; set; }

    }
}